-- The default rotations generator for HUNTERS.
local hunterRotationsGenerator = function ()
	local rotation = {
		["defaultRotation/hunter/marksmanship"] = {
			["version"] = 4,
			["keybind"] = "<keybind>",
			["specID"] = 2,
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/hunter/a_murder_of_crows"] = {
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "131894",
					["v_gspellcosttype"] = "2",
					["v_checkothercdvalue"] = "<1.5",
					["v_gspellcost"] = "30",
					["v_checkothercdname"] = "131894",
				},
				["defaultRotation/hunter/mend_pet"] = {
					["v_keybind"] = "<keybind>",
					["b_p_knownotspell"] = true,
					["v_pet_hp"] = "<=75%",
					["b_checkothercd"] = true,
					["v_checkothercdname"] = "136",
					["v_pet_needsbuff"] = "_136",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "136",
					["b_pet_needsbuff"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_p_knownotspell"] = "155228",
					["b_pet_hp"] = true,
				},
				["defaultRotation/hunter/aimed_shot"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "19434",
					["v_gspellcost"] = "50",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "2",
					["v_t_hasdebuff"] = "_187131^2",
				},
				["defaultRotation/hunter/explosive_shot"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "212431",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "212431",
				},
				["defaultRotation/hunter/arcane_shot"] = {
					["v_gunitpowertype"] = "2",
					["v_p_knownotspell"] = "214579",
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "185358",
					["v_keybind"] = "<keybind>",
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/hunter/sentinel"] = {
					["v_t_needsdebuff"] = "_185365",
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "223138",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "206817",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "206817",
				},
				["defaultRotation/hunter/black_arrow"] = {
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194599",
					["v_gspellcosttype"] = "2",
					["v_checkothercdvalue"] = "<1.5",
					["v_gspellcost"] = "40",
					["v_checkothercdname"] = "194599",
				},
				["defaultRotation/hunter/barrage"] = {
					["b_gspellcost"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120360",
					["v_gspellcosttype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "60",
					["v_checkothercdname"] = "120360",
				},
				["defaultRotation/hunter/trueshot"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "193526",
					["b_disabled"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "193526",
				},
				["defaultRotation/hunter/counter_shot"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "147362",
					["b_t_interrupt"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "147362",
				},
				["defaultRotation/hunter/sidewinders_2_charges"] = {
					["v_gunitpowertype"] = "2",
					["b_charges"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_charges"] = "2",
					["b_gunitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "50",
					["v_spellname"] = "214579",
				},
				["defaultRotation/hunter/piercing_shot"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "198670",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "198670",
				},
				["defaultRotation/hunter/sidewinders"] = {
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "214579",
					["v_gunitpowertype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "50",
					["b_hasproc"] = true,
				},
				["defaultRotation/hunter/arcane_shot_steady_focus"] = {
					["v_p_needbuff"] = "193534^2",
					["b_p_needbuff"] = true,
					["v_gunitpowertype"] = "2",
					["v_p_knownotspell"] = "214579",
					["b_p_knownotspell"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "185358",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "5",
					["v_p_knowspell"] = "193533",
				},
				["defaultRotation/hunter/marked_shot"] = {
					["v_t_needsdebuff"] = "_187131^2",
					["b_hasproc"] = true,
					["b_gspellcost"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185901",
					["v_gspellcosttype"] = "2",
					["v_keybind"] = "<keybind>",
					["b_t_needsdebuff"] = true,
					["v_gspellcost"] = "30",
				},
				["defaultRotation/hunter/revive_pet"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "35",
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["v_p_knownotspell"] = "155228",
					["v_durationstartedtime"] = 0,
					["v_pet_hp"] = "=0",
					["v_gspellcosttype"] = "2",
					["b_p_knownotspell"] = true,
					["v_spellname"] = "982",
					["b_pet_hp"] = true,
				},
			},
			["SortedActions"] = {
				"defaultRotation/hunter/counter_shot", -- [1]
				"defaultRotation/hunter/revive_pet", -- [2]
				"defaultRotation/hunter/mend_pet", -- [3]
				"defaultRotation/hunter/arcane_shot_steady_focus", -- [4]
				"defaultRotation/hunter/trueshot", -- [5]
				"defaultRotation/hunter/a_murder_of_crows", -- [6]
				"defaultRotation/hunter/piercing_shot", -- [7]
				"defaultRotation/hunter/marked_shot", -- [8]
				"defaultRotation/hunter/barrage", -- [9]
				"defaultRotation/hunter/black_arrow", -- [10]
				"defaultRotation/hunter/explosive_shot", -- [11]
				"defaultRotation/hunter/sentinel", -- [12]
				"defaultRotation/hunter/aimed_shot", -- [13]
				"defaultRotation/hunter/sidewinders_2_charges", -- [14]
				"defaultRotation/hunter/sidewinders", -- [15]
				"defaultRotation/hunter/arcane_shot", -- [16]
			},
		},
		["defaultRotation/hunter/beast_mastery"] = {
			["version"] = 4,
			["keybind"] = "<keybind>",
			["specID"] = 1,
			["bindindex"] = 0,
			["SortedActions"] = {
				"defaultRotation/hunter/counter_shot", -- [1]
				"defaultRotation/hunter/revive_pet", -- [2]
				"defaultRotation/hunter/mend_pet", -- [3]
				"defaultRotation/hunter/stampede", -- [4]
				"defaultRotation/hunter/a_murder_of_crows", -- [5]
				"defaultRotation/hunter/aspect_of_the_wild", -- [6]
				"defaultRotation/hunter/bestial_wrath", -- [7]
				"defaultRotation/hunter/kill_command", -- [8]
				"defaultRotation/hunter/chimaera_shot", -- [9]
				"defaultRotation/hunter/dire_frenzy", -- [10]
				"defaultRotation/hunter/dire_beast", -- [11]
				"defaultRotation/hunter/barrage", -- [12]
				"defaultRotation/hunter/cobra_shot", -- [13]
			},
			["ActionList"] = {
				["defaultRotation/hunter/a_murder_of_crows"] = {
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "131894",
					["v_gspellcost"] = "30",
					["v_checkothercdvalue"] = "<1.5",
					["v_gspellcosttype"] = "2",
					["v_checkothercdname"] = "131894",
				},
				["defaultRotation/hunter/aspect_of_the_wild"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "193530",
					["b_disabled"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "193530",
				},
				["defaultRotation/hunter/dire_beast"] = {
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120679",
					["v_p_knownotspell"] = "217200",
					["b_p_knownotspell"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "120679",
				},
				["defaultRotation/hunter/cobra_shot"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "2",
					["v_gspellcosttype"] = "2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "193455",
					["v_gspellcost"] = "40",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">90",
					["b_p_unitpower"] = true,
				},
				["defaultRotation/hunter/mend_pet"] = {
					["v_checkothercdname"] = "136",
					["v_checkothercdvalue"] = "<1.5",
					["v_spellname"] = "136",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_pet_hp"] = "<=75%",
					["b_pet_needsbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_pet_needsbuff"] = "_136",
					["b_pet_hp"] = true,
				},
				["defaultRotation/hunter/stampede"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "201430",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "201430",
				},
				["defaultRotation/hunter/bestial_wrath"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "19574",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "19574",
				},
				["defaultRotation/hunter/dire_frenzy"] = {
					["v_gunitpowertype"] = "2",
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "217200",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "25",
					["v_checkothercdname"] = "217200",
				},
				["defaultRotation/hunter/chimaera_shot"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53209",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "53209",
				},
				["defaultRotation/hunter/counter_shot"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "147362",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "147362",
				},
				["defaultRotation/hunter/barrage"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "60",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120360",
					["v_gspellcosttype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "120360",
				},
				["defaultRotation/hunter/kill_command"] = {
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "34026",
					["v_gspellcosttype"] = "2",
					["v_checkothercdvalue"] = "<1.5",
					["v_gspellcost"] = "30",
					["v_checkothercdname"] = "34026",
				},
				["defaultRotation/hunter/revive_pet"] = {
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_pet_hp"] = "=0",
					["v_gspellcost"] = "35",
					["v_keybind"] = "<keybind>",
					["v_spellname"] = "982",
					["b_pet_hp"] = true,
				},
			},
		},
		["defaultRotation/hunter/survival"] = {
			["version"] = 4,
			["keybind"] = "<keybind>",
			["specID"] = 3,
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/hunter/mongoose_bite"] = {
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "190928",
				},
				["defaultRotation/hunter/raptor_strike"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "201082",
					["v_p_needbuff"] = "201081#4^2.5",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "186270",
					["v_gspellcosttype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "25",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/hunter/muzzle"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "187707",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "187707",
				},
				["defaultRotation/hunter/dragonsfire_grenade"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194855",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "194855",
				},
				["defaultRotation/hunter/spitting_cobra"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194407",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "194407",
				},
				["defaultRotation/hunter/steel_trap"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "162488",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "162488",
				},
				["defaultRotation/hunter/flanking_strike"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "50",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "202800",
					["v_gspellcosttype"] = "2",
					["v_checkothercdvalue"] = "<1.5",
					["v_p_unitpower"] = ">85",
					["v_checkothercdname"] = "202800",
				},
				["defaultRotation/hunter/throwing_axes"] = {
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "200163",
					["v_gspellcosttype"] = "2",
					["v_checkothercdvalue"] = "<1.5",
					["v_gspellcost"] = "15",
					["v_checkothercdname"] = "200163",
				},
				["defaultRotation/hunter/snake_hunter"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "201078",
					["b_disabled"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "186289",
				},
				["defaultRotation/hunter/mongoose_bite_3_charges"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "190928",
					["v_keybind"] = "<keybind>",
					["v_charges"] = "3",
					["b_charges"] = true,
				},
				["defaultRotation/hunter/explosive_trap"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "191433",
					["v_checkothercdvalue"] = "<1.5",
					["b_notinspellbook"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "191433",
				},
				["defaultRotation/hunter/lacerate"] = {
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185855",
					["v_gspellcost"] = "35",
					["v_checkothercdvalue"] = "<1.5",
					["v_gspellcosttype"] = "2",
					["v_checkothercdname"] = "185855",
				},
				["defaultRotation/hunter/raptor_strike_serpent_sting"] = {
					["v_t_needsdebuff"] = "_118253^2",
					["v_p_knowspell"] = "87935",
					["v_gspellcosttype"] = "2",
					["b_p_knownotspell"] = true,
					["b_t_needsdebuff"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "186270",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["b_gspellcost"] = true,
					["v_p_knownotspell"] = "201082",
				},
				["defaultRotation/hunter/aspect_of_the_eagle"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "186289",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "186289",
				},
				["defaultRotation/hunter/a_murder_of_crows"] = {
					["b_gspellcost"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "206505",
					["v_gspellcosttype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "30",
					["v_checkothercdname"] = "206505",
				},
				["defaultRotation/hunter/caltrops"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194277",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "194277",
				},
				["defaultRotation/hunter/mend_pet"] = {
					["b_pet_hp"] = true,
					["v_pet_hp"] = "<=75%",
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "136",
					["b_pet_needsbuff"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_pet_needsbuff"] = "_136",
					["v_checkothercdname"] = "136",
				},
				["defaultRotation/hunter/revive_pet"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "35",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "982",
					["v_gspellcosttype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_pet_hp"] = "=0",
					["b_pet_hp"] = true,
				},
			},
			["SortedActions"] = {
				"defaultRotation/hunter/muzzle", -- [1]
				"defaultRotation/hunter/revive_pet", -- [2]
				"defaultRotation/hunter/mend_pet", -- [3]
				"defaultRotation/hunter/snake_hunter", -- [4]
				"defaultRotation/hunter/aspect_of_the_eagle", -- [5]
				"defaultRotation/hunter/raptor_strike_serpent_sting", -- [6]
				"defaultRotation/hunter/raptor_strike", -- [7]
				"defaultRotation/hunter/a_murder_of_crows", -- [8]
				"defaultRotation/hunter/explosive_trap", -- [9]
				"defaultRotation/hunter/dragonsfire_grenade", -- [10]
				"defaultRotation/hunter/lacerate", -- [11]
				"defaultRotation/hunter/mongoose_bite_3_charges", -- [12]
				"defaultRotation/hunter/caltrops", -- [13]
				"defaultRotation/hunter/steel_trap", -- [14]
				"defaultRotation/hunter/throwing_axes", -- [15]
				"defaultRotation/hunter/spitting_cobra", -- [16]
				"defaultRotation/hunter/mongoose_bite", -- [17]
				"defaultRotation/hunter/flanking_strike", -- [18]
			},
		},
	}

	return rotation;
end

local hunterRotationsGeneratorData = {
	["generator"] = hunterRotationsGenerator
};

RotationBuilder:addDefaultRotationsGenerator("HUNTER", hunterRotationsGeneratorData);