-- The default rotations generator for WARRIORS.
local warriorRotationsGenerator = function ()
	local rotation = {
		["defaultRotation/warrior/fury"] = {
			["version"] = 3,
			["keybind"] = "<keybind>",
			["specID"] = 2,
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/warrior/dragon_roar"] = {
					["v_p_needbuff"] = "184362",
					["b_p_needbuff"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "118000",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "=0",
					["v_checkothercdname"] = "1719",
				},
				["defaultRotation/warrior/berserker_rage"] = {
					["v_p_needbuff"] = "184362",
					["b_p_needbuff"] = true,
					["v_p_knowspell"] = "206320",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "18499",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_checkothercd"] = true,
					["v_checkothercdname"] = "18499",
				},
				["defaultRotation/warrior/dragon_roar_rampage_carnage"] = {
					["v_p_needbuff"] = "184362",
					["b_p_needbuff"] = true,
					["v_p_knowspell"] = "202922",
					["b_checkothercd"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "118000",
					["v_p_unitpowertype"] = "1",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=70",
					["v_checkothercdname"] = "118000",
				},
				["defaultRotation/warrior/pummel"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "6552",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "6552",
				},
				["defaultRotation/warrior/raging_blow"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "85288",
					["v_checkothercdname"] = "85288",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["b_hasproc"] = true,
				},
				["defaultRotation/warrior/execute"] = {
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "1",
					["b_t_hp"] = true,
					["b_p_havebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5308",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "184362",
					["v_t_hp"] = "<20%",
				},
				["defaultRotation/warrior/dragon_roar_rampage"] = {
					["v_p_needbuff"] = "184362",
					["v_keybind"] = "<keybind>",
					["b_p_needbuff"] = true,
					["b_p_unitpower"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["v_togglename"] = "Toggle 1",
					["b_checkothercd"] = true,
					["v_p_knownotspell"] = "202922",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "118000",
					["v_p_unitpowertype"] = "1",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=85",
					["v_checkothercdname"] = "118000",
				},
				["defaultRotation/warrior/furious_slash_frenzy"] = {
					["v_p_needbuff"] = "202539#3^2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "100130",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "206313",
				},
				["defaultRotation/warrior/furious_slash"] = {
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "100130",
				},
				["defaultRotation/warrior/bloodbath"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "12292",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "12292",
				},
				["defaultRotation/warrior/bloodthirst"] = {
					["v_gunitpowertype"] = "1",
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "23881",
					["b_gunitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "10",
					["v_checkothercdname"] = "23881",
				},
				["defaultRotation/warrior/dragon_roar_rampage_rage"] = {
					["v_p_unitpowertype"] = "1",
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "118000",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=100",
					["v_checkothercdname"] = "118000",
				},
				["defaultRotation/warrior/rampage_carnage"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_p_knowspell"] = "202922",
					["v_p_needbuff"] = "184362",
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "70",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "184367",
					["v_gspellcosttype"] = "1",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=70",
					["v_p_unitpowertype"] = "1",
				},
				["defaultRotation/warrior/dragon_roar_berserker_rage"] = {
					["v_p_needbuff"] = "184362",
					["v_p_knowspell"] = "206320",
					["b_checkothercd"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "118000",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "=0",
					["v_checkothercdname"] = "18499",
				},
				["defaultRotation/warrior/battle_cry"] = {
					["v_p_needbuff"] = "184362",
					["b_p_needbuff"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1719",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "23881",
				},
				["defaultRotation/warrior/rampage"] = {
					["b_gspellcost"] = true,
					["v_p_knownotspell"] = "202922",
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "184362",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "1",
					["v_p_unitpowertype"] = "1",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "184367",
					["v_gspellcost"] = "85",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=85",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/warrior/raging_blow_inner_rage"] = {
					["v_p_knowspell"] = "215573",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "85288",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_p_knowspell"] = true,
					["v_checkothercdname"] = "85288",
				},
				["defaultRotation/warrior/rampage_rage"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "1",
					["b_hasproc"] = true,
					["v_gspellcosttype"] = "1",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "184367",
					["v_gspellcost"] = "85",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=100",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/warrior/bloodthirst_enrage"] = {
					["v_p_needbuff"] = "184362",
					["v_gunitpowertype"] = "1",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "23881",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "10",
					["v_checkothercdname"] = "23881",
				},
				["defaultRotation/warrior/avatar"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "107574",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "107574",
				},
				["defaultRotation/warrior/whirlwind"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "190411",
					["v_keybind"] = "<keybind>",
					["b_hasproc"] = true,
				},
			},
			["SortedActions"] = {
				"defaultRotation/warrior/pummel", -- [1]
				"defaultRotation/warrior/furious_slash_frenzy", -- [2]
				"defaultRotation/warrior/avatar", -- [3]
				"defaultRotation/warrior/dragon_roar_berserker_rage", -- [4]
				"defaultRotation/warrior/dragon_roar_rampage_rage", -- [5]
				"defaultRotation/warrior/dragon_roar_rampage_carnage", -- [6]
				"defaultRotation/warrior/dragon_roar_rampage", -- [7]
				"defaultRotation/warrior/dragon_roar", -- [8]
				"defaultRotation/warrior/battle_cry", -- [9]
				"defaultRotation/warrior/berserker_rage", -- [10]
				"defaultRotation/warrior/rampage_rage", -- [11]
				"defaultRotation/warrior/rampage_carnage", -- [12]
				"defaultRotation/warrior/rampage", -- [13]
				"defaultRotation/warrior/bloodthirst_enrage", -- [14]
				"defaultRotation/warrior/bloodbath", -- [15]
				"defaultRotation/warrior/whirlwind", -- [16]
				"defaultRotation/warrior/raging_blow_inner_rage", -- [17]
				"defaultRotation/warrior/raging_blow", -- [18]
				"defaultRotation/warrior/bloodthirst", -- [19]
				"defaultRotation/warrior/execute", -- [20]
				"defaultRotation/warrior/furious_slash", -- [21]
			},
		},
		["defaultRotation/warrior/protection"] = {
			["version"] = 3,
			["keybind"] = "<keybind>",
			["specID"] = 3,
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/warrior/revenge"] = {
					["v_gunitpowertype"] = "1",
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "6572",
					["b_gunitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "5",
					["v_checkothercdname"] = "6572",
				},
				["defaultRotation/warrior/focused_rage_vengeance"] = {
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "204488",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "202573",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/warrior/pummel"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "6552",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "6552",
				},
				["defaultRotation/warrior/ignore_pain"] = {
					["v_p_needbuff"] = "190456^5",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "190456",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/warrior/shield_block"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "2565",
					["v_gspellcost"] = "10",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "1",
					["v_p_needbuff"] = "132404",
				},
				["defaultRotation/warrior/victory_rush"] = {
					["v_p_knownotspell"] = "202168",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "34428",
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["b_p_knownotspell"] = true,
					["b_hasproc"] = true,
				},
				["defaultRotation/warrior/devastate"] = {
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "20243",
				},
				["defaultRotation/warrior/shield_slam"] = {
					["v_gunitpowertype"] = "1",
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "23922",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "15",
					["v_checkothercdname"] = "23922",
				},
				["defaultRotation/warrior/avatar"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "107574",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "107574",
				},
				["defaultRotation/warrior/battle_cry"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1719",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "1719",
				},
				["defaultRotation/warrior/focused_rage"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "204488",
					["v_keybind"] = "<keybind>",
					["b_hasproc"] = true,
				},
				["defaultRotation/warrior/impending_victory"] = {
					["b_gspellcost"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202168",
					["v_gspellcost"] = "10",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "1",
					["v_checkothercdname"] = "202168",
				},
			},
			["SortedActions"] = {
				"defaultRotation/warrior/pummel", -- [1]
				"defaultRotation/warrior/avatar", -- [2]
				"defaultRotation/warrior/ignore_pain", -- [3]
				"defaultRotation/warrior/shield_block", -- [4]
				"defaultRotation/warrior/battle_cry", -- [5]
				"defaultRotation/warrior/focused_rage_vengeance", -- [6]
				"defaultRotation/warrior/focused_rage", -- [7]
				"defaultRotation/warrior/impending_victory", -- [8]
				"defaultRotation/warrior/victory_rush", -- [9]
				"defaultRotation/warrior/shield_slam", -- [10]
				"defaultRotation/warrior/revenge", -- [11]
				"defaultRotation/warrior/devastate", -- [12]
			},
		},
		["defaultRotation/warrior/arms"] = {
			["version"] = 3,
			["keybind"] = "<keybind>",
			["specID"] = 1,
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/warrior/overpower"] = {
					["b_gspellcost"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "7384",
					["v_gspellcost"] = "8",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "1",
					["b_hasproc"] = true,
				},
				["defaultRotation/warrior/pummel"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "6552",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["b_t_interrupt"] = true,
					["v_checkothercdname"] = "6552",
				},
				["defaultRotation/warrior/mortal_strike"] = {
					["b_gspellcost"] = true,
					["v_checkothercdvalue"] = "<1.5",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "12294",
					["v_gspellcost"] = "20",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "1",
					["v_checkothercdname"] = "12294",
				},
				["defaultRotation/warrior/execute"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_t_hasdebuff"] = "_208086",
					["v_gspellcosttype"] = "1",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["b_t_hp"] = true,
					["v_gspellcost"] = "10",
					["v_keybind"] = "<keybind>",
					["v_spellname"] = "5308",
					["v_t_hp"] = "<20%",
				},
				["defaultRotation/warrior/battle_cry"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1719",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "=0",
					["v_checkothercdname"] = "167105",
				},
				["defaultRotation/warrior/rend"] = {
					["b_gspellcost"] = true,
					["v_t_needsdebuff"] = "_208086||_772^5",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "772",
					["v_gspellcosttype"] = "1",
					["v_keybind"] = "<keybind>",
					["v_gspellcost"] = "15",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/warrior/colossus_smash"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "167105",
					["v_checkothercdvalue"] = "<1.5",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "167105",
				},
				["defaultRotation/warrior/avatar"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "107574",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "<1.5",
					["v_checkothercdname"] = "107574",
				},
				["defaultRotation/warrior/slam"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "20",
					["v_p_knownotspell"] = "202316",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1464",
					["v_gspellcosttype"] = "1",
					["b_p_knownotspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/warrior/focused_rage"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "207982",
					["v_gspellcosttype"] = "1",
					["v_keybind"] = "<keybind>",
					["v_p_needbuff"] = "207982#3",
					["v_gspellcost"] = "12",
				},
				["defaultRotation/warrior/whirlwind"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "202316",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1680",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "1",
				},
			},
			["SortedActions"] = {
				"defaultRotation/warrior/pummel", -- [1]
				"defaultRotation/warrior/avatar", -- [2]
				"defaultRotation/warrior/battle_cry", -- [3]
				"defaultRotation/warrior/colossus_smash", -- [4]
				"defaultRotation/warrior/rend", -- [5]
				"defaultRotation/warrior/overpower", -- [6]
				"defaultRotation/warrior/execute", -- [7]
				"defaultRotation/warrior/mortal_strike", -- [8]
				"defaultRotation/warrior/whirlwind", -- [9]
				"defaultRotation/warrior/slam", -- [10]
				"defaultRotation/warrior/focused_rage", -- [11]
			},
		},
	}

	return rotation;
end

local warriorRotationsGeneratorData = {
	["generator"] = warriorRotationsGenerator
};

RotationBuilder:addDefaultRotationsGenerator("WARRIOR", warriorRotationsGeneratorData);